    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------
    028     * Contributor.java
    029     * ----------------
    030     * (C) Copyright 2001-2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: Contributor.java,v 1.4 2005/11/16 15:58:41 taqua Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 10-Dec-2001 : Version 1 (DG);
    040     * 28-Feb-2002 : Moved into package com.jrefinery.ui.about (DG);
    041     * 08-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    042     *
    043     */
    044
    045    package org.jfree.ui.about;
    046
    047    /**
    048     * A simple class representing a contributor to a software project.
    049     * <P>
    050     * Used in the AboutFrame class.
    051     *
    052     * @author David Gilbert
    053     */
    054    public class Contributor {
    055
    056        /** The name. */
    057        private String name;
    058
    059        /** The e-mail address. */
    060        private String email;
    061
    062        /**
    063         * Creates a new contributor.
    064         *
    065         * @param name  the name.
    066         * @param email  the e-mail address.
    067         */
    068        public Contributor(final String name, final String email) {
    069            this.name = name;
    070            this.email = email;
    071        }
    072
    073        /**
    074         * Returns the contributor's name.
    075         *
    076         * @return the contributor's name.
    077         */
    078        public String getName() {
    079            return this.name;
    080        }
    081
    082        /**
    083         * Returns the contributor's e-mail address.
    084         *
    085         * @return the contributor's e-mail address.
    086         */
    087        public String getEmail() {
    088            return this.email;
    089        }
    090
    091    }